///home/berryj/link/bin/genMethods "-g" "-t" "MUHyperGraph" "-r" "MHyperGraph" "-I" "LINK/graph/HyperGraph.h" "-I" "LINK/graph/UHyperGraph.h" "-y" "display_graph" "-w" "free_graph" "-d" "graph" "-f" "___mUHyperGraph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/HyperGraph.h>

#include <LINK/graph/UHyperGraph.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_graph(SCM, SCM, int);
void free_graph(SCM);

typedef MUHyperGraph _MUHyperGraph;

#define _MUHyperGraphDATA(x) ((MUHyperGraph*) (EXTDATA(x)))
#define _MUHyperGraphIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MUHyperGraph >::type))
#define _MUHyperGraphISNT_DATA(x) (!_MUHyperGraphIS_DATA(x))

#define _MUHyperGraphCXX_DATA(x) (*(MUHyperGraph*) (EXTDATA(VAL(x))))
#define _MUHyperGraphCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<MUHyperGraph >::type))
#define _MUHyperGraphCXX_ISNT_DATA(x) (!_MUHyperGraphCXX_IS_DATA(x))


PRIMITIVE STk_init____mUHyperGraph()
{
	Wrapper<_MUHyperGraph>::type = STk_new_CXXwrapper_id(
			Wrapper<_MUHyperGraph>::name, 
			Wrapper<MHyperGraph >::name,
			(void (*)(SCM x, SCM port, int mode))
			display_graph,
			(void (*)(SCM x))0,
			(void (*)(SCM x))free_graph);
	Tcl_InitHashTable(&Register<_MUHyperGraph>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra___mUHyperGraphMethods(void);

PRIMITIVE STk_init_methods____mUHyperGraph()
{
	genExtra___mUHyperGraphMethods();
	return UNDEFINED;
}
